org.apache.xmlbeans.impl.xb.xsdschema.impl

## Class RealGroupImpl

- java.lang.Object
- - org.apache.xmlbeans.impl.values.XmlObjectBase
  - - org.apache.xmlbeans.impl.values.XmlComplexContentImpl
    - - org.apache.xmlbeans.impl.xb.xsdschema.impl.OpenAttrsImpl
      - - org.apache.xmlbeans.impl.xb.xsdschema.impl.AnnotatedImpl
        - - org.apache.xmlbeans.impl.xb.xsdschema.impl.GroupImpl
          - - org.apache.xmlbeans.impl.xb.xsdschema.impl.RealGroupImpl

- All Implemented Interfaces:
    Serializable, TypeStoreUser, Annotated, Group, OpenAttrs, RealGroup, SimpleValue, XmlObject, XmlTokenSource
  Direct Known Subclasses:
    GroupRefImpl, NamedGroupImpl

      public class RealGroupImpl
      extends GroupImpl
      implements RealGroup

  An XML realGroup(@http://www.w3.org/2001/XMLSchema). This is a complex type.
  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class org.apache.xmlbeans.impl.values.XmlObjectBase

      `_voorVc, KIND_SETTERHELPER_ARRAYITEM, KIND_SETTERHELPER_SINGLETON, MAJOR_VERSION_NUMBER, MINOR_VERSION_NUMBER`

    - ### Fields inherited from interface org.apache.xmlbeans.impl.xb.xsdschema.RealGroup

      `Factory, type`

    - ### Fields inherited from interface org.apache.xmlbeans.XmlObject

      `EQUAL, GREATER_THAN, LESS_THAN, NOT_EQUAL`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `RealGroupImpl(SchemaType sType)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `All` | `addNewAll()` Appends and returns a new empty value (as xml) as the last "all" element
    `ExplicitGroup` | `addNewChoice()` Appends and returns a new empty value (as xml) as the last "choice" element
    `ExplicitGroup` | `addNewSequence()` Appends and returns a new empty value (as xml) as the last "sequence" element
    `All[]` | `getAllArray()` Gets array of all "all" elements
    `All` | `getAllArray(int i)` Gets ith "all" element
    `List<All>` | `getAllList()` Gets a List of "all" elements
    `ExplicitGroup[]` | `getChoiceArray()` Gets array of all "choice" elements
    `ExplicitGroup` | `getChoiceArray(int i)` Gets ith "choice" element
    `List<ExplicitGroup>` | `getChoiceList()` Gets a List of "choice" elements
    `ExplicitGroup[]` | `getSequenceArray()` Gets array of all "sequence" elements
    `ExplicitGroup` | `getSequenceArray(int i)` Gets ith "sequence" element
    `List<ExplicitGroup>` | `getSequenceList()` Gets a List of "sequence" elements
    `All` | `insertNewAll(int i)` Inserts and returns a new empty value (as xml) as the ith "all" element
    `ExplicitGroup` | `insertNewChoice(int i)` Inserts and returns a new empty value (as xml) as the ith "choice" element
    `ExplicitGroup` | `insertNewSequence(int i)` Inserts and returns a new empty value (as xml) as the ith "sequence" element
    `void` | `removeAll(int i)` Removes the ith "all" element
    `void` | `removeChoice(int i)` Removes the ith "choice" element
    `void` | `removeSequence(int i)` Removes the ith "sequence" element
    `void` | `setAllArray(All[] allArray)` Sets array of all "all" element WARNING: This method is not atomicaly synchronized.
    `void` | `setAllArray(int i, All all)` Sets ith "all" element
    `void` | `setChoiceArray(ExplicitGroup[] choiceArray)` Sets array of all "choice" element WARNING: This method is not atomicaly synchronized.
    `void` | `setChoiceArray(int i, ExplicitGroup choice)` Sets ith "choice" element
    `void` | `setSequenceArray(ExplicitGroup[] sequenceArray)` Sets array of all "sequence" element WARNING: This method is not atomicaly synchronized.
    `void` | `setSequenceArray(int i, ExplicitGroup sequence)` Sets ith "sequence" element
    `int` | `sizeOfAllArray()` Returns number of "all" element
    `int` | `sizeOfChoiceArray()` Returns number of "choice" element
    `int` | `sizeOfSequenceArray()` Returns number of "sequence" element

    - ### Methods inherited from class org.apache.xmlbeans.impl.xb.xsdschema.impl.GroupImpl

      `addNewAny, addNewElement, addNewGroup, getAnyArray, getAnyArray, getAnyList, getElementArray, getElementArray, getElementList, getGroupArray, getGroupArray, getGroupList, getMaxOccurs, getMinOccurs, getName, getRef, insertNewAny, insertNewElement, insertNewGroup, isSetMaxOccurs, isSetMinOccurs, isSetName, isSetRef, removeAny, removeElement, removeGroup, setAnyArray, setAnyArray, setElementArray, setElementArray, setGroupArray, setGroupArray, setMaxOccurs, setMinOccurs, setName, setRef, sizeOfAnyArray, sizeOfElementArray, sizeOfGroupArray, unsetMaxOccurs, unsetMinOccurs, unsetName, unsetRef, xgetMaxOccurs, xgetMinOccurs, xgetName, xgetRef, xsetMaxOccurs, xsetMinOccurs, xsetName, xsetRef`

    - ### Methods inherited from class org.apache.xmlbeans.impl.xb.xsdschema.impl.AnnotatedImpl

      `addNewAnnotation, getAnnotation, getId, isSetAnnotation, isSetId, setAnnotation, setId, unsetAnnotation, unsetId, xgetId, xsetId`

    - ### Methods inherited from class org.apache.xmlbeans.impl.values.XmlComplexContentImpl

      `arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, compute_text, equal_to, get_default_attribute_text, get_default_element_text, get_elementflags, is_child_element_order_sensitive, new_visitor, schemaType, set_nil, set_String, set_text, unionArraySetterHelper, unionArraySetterHelper, update_from_complex_content, value_hash_code`

    - ### Methods inherited from class org.apache.xmlbeans.impl.values.XmlObjectBase

      `_copy, _copy, _isComplexContent, _isComplexType, _set, _validateOnSet, attach_store, build_nil, build_text, changeType, check_dated, check_orphaned, compare_to, compareTo, compareValue, copy, copy, create_attribute_user, create_element_user, disconnect_store, documentProperties, dump, elementFlags, equals, execQuery, execQuery, generatedSetterHelperImpl, get_attribute_field, get_attribute_type, get_attributeflags, get_default_attribute_value, get_element_ending_delimiters, get_element_type, get_schema_type, get_store, get_wscanon_rule, get_wscanon_text, getBigDecimalValue, getBigIntegerValue, getBooleanArray, getBooleanArray, getBooleanValue, getByteArray, getByteArray, getByteArrayValue, getByteValue, getCalendarValue, getDateValue, getDomNode, getDoubleArray, getDoubleArray, getDoubleValue, getEnumArray, getEnumArray, getEnumValue, getFloatArray, getFloatArray, getFloatValue, getGDateValue, getGDurationValue, getIntArray, getIntArray, getIntValue, getListValue, getLongArray, getLongArray, getLongValue, getObjectArray, getObjectArray, getObjectValue, getQNameValue, getShortArray, getShortArray, getShortValue, getStringValue, getXmlLocale, getXmlObjectArray, getXmlObjectArray, has_store, hashCode, init_flags, initComplexType, instanceType, invalidate_element_order, invalidate_nilvalue, invalidate_value, is_defaultable_ws, is_orphaned, isDefault, isDefaultable, isFixed, isImmutable, isInstanceOf, isNil, isNillable, java_value, monitor, newCursor, newCursorForce, newDomNode, newDomNode, newInputStream, newInputStream, newReader, newReader, newXMLStreamReader, newXMLStreamReader, save, save, save, save, save, save, save, save, selectAttribute, selectAttribute, selectAttributes, selectChildren, selectChildren, selectChildren, selectPath, selectPath, set_b64, set_BigDecimal, set_BigInteger, set_boolean, set_byte, set_ByteArray, set_Calendar, set_char, set_ComplexXml, set_Date, set_double, set_enum, set_float, set_GDate, set_GDuration, set_hex, set_int, set_list, set_long, set_newValue, set_notation, set_QName, set_short, set_xmlanysimple, set, setBigDecimalValue, setBigIntegerValue, setBooleanValue, setByteArrayValue, setByteValue, setCalendarValue, setDateValue, setDoubleValue, setEnumValue, setFloatValue, setGDateValue, setGDateValue, setGDurationValue, setGDurationValue, setImmutable, setIntValue, setListValue, setLongValue, setNil, setObjectValue, setQNameValue, setShortValue, setStringValue, setValidateOnSet, substitute, toString, uses_invalidate_value, validate_now, validate_simpleval, validate, validate, valueEquals, valueHashCode, writeReplace, xgetArray, xgetArray, xgetListValue, xmlText, xmlText`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface org.apache.xmlbeans.impl.xb.xsdschema.Group

      `addNewAny, addNewElement, addNewGroup, getAnyArray, getAnyArray, getAnyList, getElementArray, getElementArray, getElementList, getGroupArray, getGroupArray, getGroupList, getMaxOccurs, getMinOccurs, getName, getRef, insertNewAny, insertNewElement, insertNewGroup, isSetMaxOccurs, isSetMinOccurs, isSetName, isSetRef, removeAny, removeElement, removeGroup, setAnyArray, setAnyArray, setElementArray, setElementArray, setGroupArray, setGroupArray, setMaxOccurs, setMinOccurs, setName, setRef, sizeOfAnyArray, sizeOfElementArray, sizeOfGroupArray, unsetMaxOccurs, unsetMinOccurs, unsetName, unsetRef, xgetMaxOccurs, xgetMinOccurs, xgetName, xgetRef, xsetMaxOccurs, xsetMinOccurs, xsetName, xsetRef`

    - ### Methods inherited from interface org.apache.xmlbeans.impl.xb.xsdschema.Annotated

      `addNewAnnotation, getAnnotation, getId, isSetAnnotation, isSetId, setAnnotation, setId, unsetAnnotation, unsetId, xgetId, xsetId`

    - ### Methods inherited from interface org.apache.xmlbeans.XmlObject

      `changeType, compareTo, compareValue, copy, copy, execQuery, execQuery, isImmutable, isNil, schemaType, selectAttribute, selectAttribute, selectAttributes, selectChildren, selectChildren, selectChildren, selectPath, selectPath, set, setNil, substitute, toString, validate, validate, valueEquals, valueHashCode`

    - ### Methods inherited from interface org.apache.xmlbeans.XmlTokenSource

      `documentProperties, dump, getDomNode, monitor, newCursor, newDomNode, newDomNode, newInputStream, newInputStream, newReader, newReader, newXMLStreamReader, newXMLStreamReader, save, save, save, save, save, save, save, save, xmlText, xmlText`

- - ### Constructor Detail

    - #### RealGroupImpl

          public RealGroupImpl(SchemaType sType)

  - ### Method Detail

    - #### getAllList

          public List<All> getAllList()

      Gets a List of "all" elements
      Specified by:
        `getAllList` in interface `Group`
      Specified by:
        `getAllList` in interface `RealGroup`
      Overrides:
        `getAllList` in class `GroupImpl`

    - #### getAllArray

          public All[] getAllArray()

      Gets array of all "all" elements
      Specified by:
        `getAllArray` in interface `Group`
      Specified by:
        `getAllArray` in interface `RealGroup`
      Overrides:
        `getAllArray` in class `GroupImpl`

    - #### getAllArray

          public All getAllArray(int i)

      Gets ith "all" element
      Specified by:
        `getAllArray` in interface `Group`
      Specified by:
        `getAllArray` in interface `RealGroup`
      Overrides:
        `getAllArray` in class `GroupImpl`

    - #### sizeOfAllArray

          public int sizeOfAllArray()

      Returns number of "all" element
      Specified by:
        `sizeOfAllArray` in interface `Group`
      Specified by:
        `sizeOfAllArray` in interface `RealGroup`
      Overrides:
        `sizeOfAllArray` in class `GroupImpl`

    - #### setAllArray

          public void setAllArray(All[] allArray)

      Sets array of all "all" element WARNING: This method is not atomicaly synchronized.
      Specified by:
        `setAllArray` in interface `Group`
      Specified by:
        `setAllArray` in interface `RealGroup`
      Overrides:
        `setAllArray` in class `GroupImpl`

    - #### setAllArray

          public void setAllArray(int i,
                                  All all)

      Sets ith "all" element
      Specified by:
        `setAllArray` in interface `Group`
      Specified by:
        `setAllArray` in interface `RealGroup`
      Overrides:
        `setAllArray` in class `GroupImpl`

    - #### insertNewAll

          public All insertNewAll(int i)

      Inserts and returns a new empty value (as xml) as the ith "all" element
      Specified by:
        `insertNewAll` in interface `Group`
      Specified by:
        `insertNewAll` in interface `RealGroup`
      Overrides:
        `insertNewAll` in class `GroupImpl`

    - #### addNewAll

          public All addNewAll()

      Appends and returns a new empty value (as xml) as the last "all" element
      Specified by:
        `addNewAll` in interface `Group`
      Specified by:
        `addNewAll` in interface `RealGroup`
      Overrides:
        `addNewAll` in class `GroupImpl`

    - #### removeAll

          public void removeAll(int i)

      Removes the ith "all" element
      Specified by:
        `removeAll` in interface `Group`
      Specified by:
        `removeAll` in interface `RealGroup`
      Overrides:
        `removeAll` in class `GroupImpl`

    - #### getChoiceList

          public List<ExplicitGroup> getChoiceList()

      Gets a List of "choice" elements
      Specified by:
        `getChoiceList` in interface `Group`
      Specified by:
        `getChoiceList` in interface `RealGroup`
      Overrides:
        `getChoiceList` in class `GroupImpl`

    - #### getChoiceArray

          public ExplicitGroup[] getChoiceArray()

      Gets array of all "choice" elements
      Specified by:
        `getChoiceArray` in interface `Group`
      Specified by:
        `getChoiceArray` in interface `RealGroup`
      Overrides:
        `getChoiceArray` in class `GroupImpl`

    - #### getChoiceArray

          public ExplicitGroup getChoiceArray(int i)

      Gets ith "choice" element
      Specified by:
        `getChoiceArray` in interface `Group`
      Specified by:
        `getChoiceArray` in interface `RealGroup`
      Overrides:
        `getChoiceArray` in class `GroupImpl`

    - #### sizeOfChoiceArray

          public int sizeOfChoiceArray()

      Returns number of "choice" element
      Specified by:
        `sizeOfChoiceArray` in interface `Group`
      Specified by:
        `sizeOfChoiceArray` in interface `RealGroup`
      Overrides:
        `sizeOfChoiceArray` in class `GroupImpl`

    - #### setChoiceArray

          public void setChoiceArray(ExplicitGroup[] choiceArray)

      Sets array of all "choice" element WARNING: This method is not atomicaly synchronized.
      Specified by:
        `setChoiceArray` in interface `Group`
      Specified by:
        `setChoiceArray` in interface `RealGroup`
      Overrides:
        `setChoiceArray` in class `GroupImpl`

    - #### setChoiceArray

          public void setChoiceArray(int i,
                                     ExplicitGroup choice)

      Sets ith "choice" element
      Specified by:
        `setChoiceArray` in interface `Group`
      Specified by:
        `setChoiceArray` in interface `RealGroup`
      Overrides:
        `setChoiceArray` in class `GroupImpl`

    - #### insertNewChoice

          public ExplicitGroup insertNewChoice(int i)

      Inserts and returns a new empty value (as xml) as the ith "choice" element
      Specified by:
        `insertNewChoice` in interface `Group`
      Specified by:
        `insertNewChoice` in interface `RealGroup`
      Overrides:
        `insertNewChoice` in class `GroupImpl`

    - #### addNewChoice

          public ExplicitGroup addNewChoice()

      Appends and returns a new empty value (as xml) as the last "choice" element
      Specified by:
        `addNewChoice` in interface `Group`
      Specified by:
        `addNewChoice` in interface `RealGroup`
      Overrides:
        `addNewChoice` in class `GroupImpl`

    - #### removeChoice

          public void removeChoice(int i)

      Removes the ith "choice" element
      Specified by:
        `removeChoice` in interface `Group`
      Specified by:
        `removeChoice` in interface `RealGroup`
      Overrides:
        `removeChoice` in class `GroupImpl`

    - #### getSequenceList

          public List<ExplicitGroup> getSequenceList()

      Gets a List of "sequence" elements
      Specified by:
        `getSequenceList` in interface `Group`
      Specified by:
        `getSequenceList` in interface `RealGroup`
      Overrides:
        `getSequenceList` in class `GroupImpl`

    - #### getSequenceArray

          public ExplicitGroup[] getSequenceArray()

      Gets array of all "sequence" elements
      Specified by:
        `getSequenceArray` in interface `Group`
      Specified by:
        `getSequenceArray` in interface `RealGroup`
      Overrides:
        `getSequenceArray` in class `GroupImpl`

    - #### getSequenceArray

          public ExplicitGroup getSequenceArray(int i)

      Gets ith "sequence" element
      Specified by:
        `getSequenceArray` in interface `Group`
      Specified by:
        `getSequenceArray` in interface `RealGroup`
      Overrides:
        `getSequenceArray` in class `GroupImpl`

    - #### sizeOfSequenceArray

          public int sizeOfSequenceArray()

      Returns number of "sequence" element
      Specified by:
        `sizeOfSequenceArray` in interface `Group`
      Specified by:
        `sizeOfSequenceArray` in interface `RealGroup`
      Overrides:
        `sizeOfSequenceArray` in class `GroupImpl`

    - #### setSequenceArray

          public void setSequenceArray(ExplicitGroup[] sequenceArray)

      Sets array of all "sequence" element WARNING: This method is not atomicaly synchronized.
      Specified by:
        `setSequenceArray` in interface `Group`
      Specified by:
        `setSequenceArray` in interface `RealGroup`
      Overrides:
        `setSequenceArray` in class `GroupImpl`

    - #### setSequenceArray

          public void setSequenceArray(int i,
                                       ExplicitGroup sequence)

      Sets ith "sequence" element
      Specified by:
        `setSequenceArray` in interface `Group`
      Specified by:
        `setSequenceArray` in interface `RealGroup`
      Overrides:
        `setSequenceArray` in class `GroupImpl`

    - #### insertNewSequence

          public ExplicitGroup insertNewSequence(int i)

      Inserts and returns a new empty value (as xml) as the ith "sequence" element
      Specified by:
        `insertNewSequence` in interface `Group`
      Specified by:
        `insertNewSequence` in interface `RealGroup`
      Overrides:
        `insertNewSequence` in class `GroupImpl`

    - #### addNewSequence

          public ExplicitGroup addNewSequence()

      Appends and returns a new empty value (as xml) as the last "sequence" element
      Specified by:
        `addNewSequence` in interface `Group`
      Specified by:
        `addNewSequence` in interface `RealGroup`
      Overrides:
        `addNewSequence` in class `GroupImpl`

    - #### removeSequence

          public void removeSequence(int i)

      Removes the ith "sequence" element
      Specified by:
        `removeSequence` in interface `Group`
      Specified by:
        `removeSequence` in interface `RealGroup`
      Overrides:
        `removeSequence` in class `GroupImpl`